Subject: [spring] Flexibility of SCH or NSH

From: Xuxiaohu <[email-masked]>
Date: Wed, 23 Jul 2014 14:36:12 +0000

Hi all,

I have said the following word at this thread (http://www.ietf.org/mail-archive/web/sfc/current/msg02172.html):

************************
I'm glad to see that the Service Path Header is decoupled from the Base Header of the NSH while the MD Type field is introduced. With such MD Type field, it becomes possible that the Base Header could be followed by 1) a Service Path Header, 2) a context header or 3) both. Option 1 would be used between SFFs in the case where metadata is not required to be shared. Option 2 would be used between SFFs and SFs in the case where SFs don't care about the service path information at all. Option 3 would be used between SFFs in the case where metadata is required to be shared. If you agree with the above possible usages, it may be helpful to allocate two additional MT Type codes besides 0x1 so as to indicate the above three options.
************************

Now I see the following text from (http://www.ietf.org/proceedings/90/slides/slides-90-sfc-1.pdf):
Applicability: SCH text describes usage to optionally carry only chain forwarding information; only metadata; or both.

I believe the above flexibility is much worthwhile. In addition, opiton 2 (i.e., only carry metadata or metadata correlation id) is also be meanful in the case where the service path or chain informaiton has been carried somewhere else rahter than in the SCH or NSH (http://www.ietf.org/proceedings/90/slides/slides-90-spring-5.pptx).

Best regards,
Xiaohu